Index: code/branches/tutoriallevel3/data/levels/FPSTest.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/FPSTest.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/FPSTest.oxw	(revision 8636)
@@ -21,4 +21,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/asteroids.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/asteroids.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/asteroids.oxw	(revision 8636)
@@ -14,4 +14,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/dynamicMatch.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/dynamicMatch.oxw	(revision 8636)
@@ -16,4 +16,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/earth.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/earth.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/earth.oxw	(revision 8636)
@@ -19,4 +19,5 @@
     <Template link="lodtemplate_default" />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/emptyLevel.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/emptyLevel.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/events.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/events.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/events.oxw	(revision 8636)
@@ -20,4 +20,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/fightInOurBack.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/fightInOurBack.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/fightInOurBack.oxw	(revision 8636)
@@ -68,4 +68,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
     <!-- Ausgang: Szene ===> ambientlight/skybox -->
Index: code/branches/tutoriallevel3/data/levels/includes/notifications.oxi
===================================================================
--- code/branches/tutoriallevel3/data/levels/includes/notifications.oxi	(revision 8636)
+++ code/branches/tutoriallevel3/data/levels/includes/notifications.oxi	(revision 8636)
@@ -0,0 +1,20 @@
+<Script code="showGUI NotificationLayer false true" needsGraphics="true" />
+
+<NotificationQueueCEGUI
+    name="all"
+    targets="questsystem, commandNotification, simpleNotification"
+    displaySize="0.5, 0, 0, 0"
+    position="0, 10, 0.3, 0"
+/>
+
+<NotificationQueueCEGUI
+    name="info"
+    targets="gameinfo"
+    size=1
+    displayTime=-1
+    position="0.2, 0, 0.8, 0"
+    fontSize="24"
+    fontColor="1, 1, 0, 0.8"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+/>
Index: code/branches/tutoriallevel3/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/lastManStanding.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/lastManStanding.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/lastTeamStanding.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/lastTeamStanding.oxw	(revision 8636)
@@ -27,4 +27,5 @@
     skybox       = "Orxonox/skypanoramagen1"
   >
+  <?lua include("includes/notifications.oxi") ?>
 
     <?lua
Index: code/branches/tutoriallevel3/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/lastTeamStandingII.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/lastTeamStandingII.oxw	(revision 8636)
@@ -22,4 +22,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/notifications.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/notifications.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/notifications.oxw	(revision 8636)
@@ -19,4 +19,5 @@
         <Template link=lodtemplate_default />
     </templates>
+    <?lua include("includes/notifications.oxi") ?>
 
     <Scene
@@ -24,6 +25,4 @@
         skybox       = "Orxonox/skypanoramagen1"
     >
-
-    <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: code/branches/tutoriallevel3/data/levels/pickups.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/pickups.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/pickups.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/pirateAttack.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/pirateAttack.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/pirateAttack.oxw	(revision 8636)
@@ -35,4 +35,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
     <Scene
Index: code/branches/tutoriallevel3/data/levels/planets.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/planets.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/planets.oxw	(revision 8636)
@@ -19,4 +19,5 @@
     <Template link="lodtemplate_default" />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/pong.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/pong.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/pong.oxw	(revision 8636)
@@ -56,4 +56,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <WorldAmbientSound source="mainmenu.ogg" playOnLoad=true />
Index: code/branches/tutoriallevel3/data/levels/presentation.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentation.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentation.oxw	(revision 8636)
@@ -19,4 +19,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentation09.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentation09.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentation09.oxw	(revision 8636)
@@ -21,4 +21,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentation09b.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentation09b.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentation09b.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationDM.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationDM.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationDM.oxw	(revision 8636)
@@ -20,4 +20,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationFS10.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationFS10.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationFS10.oxw	(revision 8636)
@@ -26,4 +26,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationFS102.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationFS102.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationFS102.oxw	(revision 8636)
@@ -21,4 +21,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationFS10Ed.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationFS10Ed.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationFS10Ed.oxw	(revision 8636)
@@ -21,4 +21,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationHS09.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationHS09.oxw	(revision 8636)
@@ -24,4 +24,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/presentationHS09b.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/presentationHS09b.oxw	(revision 8636)
@@ -29,4 +29,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/princessAeryn.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/princessAeryn.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/princessAeryn.oxw	(revision 8636)
@@ -24,4 +24,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/quests.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/quests.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/quests.oxw	(revision 8636)
@@ -19,4 +19,5 @@
         <Template link=lodtemplate_default />
     </templates>
+    <?lua include("includes/notifications.oxi") ?>
 
     <Scene
Index: code/branches/tutoriallevel3/data/levels/screenshot.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/screenshot.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/screenshot.oxw	(revision 8636)
@@ -22,4 +22,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/sound.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/sound.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/sound.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/teamBaseMatch.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/teamBaseMatch.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/teamDeathMatch.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/teamDeathMatch.oxw	(revision 8636)
@@ -22,4 +22,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/testStars.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/testStars.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/testStars.oxw	(revision 8636)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/testSwallow.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/testSwallow.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/testSwallow.oxw	(revision 8636)
@@ -22,4 +22,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/theTimeMachine.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/theTimeMachine.oxw	(revision 8636)
@@ -68,4 +68,6 @@
         <Template link=lodtemplate_default />
     </templates>
+    <?lua include("includes/notifications.oxi") ?>
+    
     <Scene
         ambientlight="0.8,0.8,0.8"
Index: code/branches/tutoriallevel3/data/levels/tutorial.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/tutorial.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/tutorial.oxw	(revision 8636)
@@ -19,4 +19,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/underAttack.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/underAttack.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/underAttack.oxw	(revision 8636)
@@ -15,4 +15,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
Index: code/branches/tutoriallevel3/data/levels/waypoints.oxw
===================================================================
--- code/branches/tutoriallevel3/data/levels/waypoints.oxw	(revision 8453)
+++ code/branches/tutoriallevel3/data/levels/waypoints.oxw	(revision 8636)
@@ -21,4 +21,5 @@
     <Template link=lodtemplate_default />
   </templates>
+  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
